class alloviz:
    def __init__(self, sor):
        id, nev, tipus, terulet, vizgyujto = sor.split(';')
        self.id = int(id)
        self.nev = nev
        self.tipus = tipus if tipus!='NULL' else ''
        self.terulet = float(terulet.replace(',', '.')) if terulet!='NULL' else 0
        self.vizgyujto = int(vizgyujto) if vizgyujto!='NULL' else 0

l = []
with open ('alloviz.txt', 'r', encoding='utf-8') as f:
    for sor in f.read().splitlines()[1:]:
        l.append(alloviz(sor))

print('3.1 feladat:')
print(f'Az adatbázisban {len(l)} tó adatai szerepelnek.')


print('3.2 feladat:')
osszeg = 0
db = 0
for e in l:
    if e.terulet != 0:
        osszeg += e.terulet
        db += 1

print(f'Az állóvizek területének átlaga {osszeg/db:.2f}')